curl --request POST \
--url https://sandbox.api.fin.com/v1/customers/associated-parties/individual/attach \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "2d0a9df3-e1e5-4955-9759-ce0522e0ddc9",
"associated_party_attachments": [
{
"associated_party_id": "42daffd3-09a0-4d48-8e73-2680a953d0e1",
"proof_of_identity": {
"type": "PASSPORT",
"number": "A12345678",
"country": "USA",
"issue_date": "2020-01-15",
"expiry_date": "2030-01-15",
"files": [
{
"uri": "/AbAcQ4hn_0652746727637.pdf",
"side": "FRONT"
}
]
},
"proof_of_address": {
"type": "UTILITY_BILL",
"country": "USA",
"files": [
{
"uri": "/AbAcQ4hn_0652746727638.pdf"
}
]
}
}
]
}
'{
"data": {}
}Attach proof of identity and proof of address documents to associated parties of an existing customer
curl --request POST \
--url https://sandbox.api.fin.com/v1/customers/associated-parties/individual/attach \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "2d0a9df3-e1e5-4955-9759-ce0522e0ddc9",
"associated_party_attachments": [
{
"associated_party_id": "42daffd3-09a0-4d48-8e73-2680a953d0e1",
"proof_of_identity": {
"type": "PASSPORT",
"number": "A12345678",
"country": "USA",
"issue_date": "2020-01-15",
"expiry_date": "2030-01-15",
"files": [
{
"uri": "/AbAcQ4hn_0652746727637.pdf",
"side": "FRONT"
}
]
},
"proof_of_address": {
"type": "UTILITY_BILL",
"country": "USA",
"files": [
{
"uri": "/AbAcQ4hn_0652746727638.pdf"
}
]
}
}
]
}
'{
"data": {}
}/v1/customers/upload endpoint
to obtain the URIs needed for the files arrays.Bearer token authentication. Obtain token from /v1/oauth/token endpoint
Documents attached successfully
Generic response object